## pd-lyonpotpourri 2.0%2Bgit20121009

=== debian/changelog ===
pd-lyonpotpourri (2.0+git20121009-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig ]
  * Defer all stripping to dh_strip.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #916385)
  * Remove Hans-Christoph Steiner from Uploaders as he requested
  * Declare that building this package doesn't require "root" powers
  * Remove obsolete d/source/local-options
  * Bump dh-compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 15:39:07 +0200

pd-lyonpotpourri (2.0+git20121009-2) unstable; urgency=medium

  * Added patch to fix spelling errors
  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
    * Added myself to Uploaders
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:20:12 +0100

pd-lyonpotpourri (2.0+git20121009-1) unstable; urgency=low

  * Initial release (Closes: #696458)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 20 Dec 2012 18:16:07 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./examples/.*\.wav|\./examples/.*\.aif*$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,-as-needed" \
		$(empty)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir) STRIP=:
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-lyonpotpourri 2.0+git20121009

=== Makefile ===
## Pd library template version 1.0.14
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = lyonpotpourri

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = adsr~.c bashfest~.c buffet~.c bvplay~.c channel~.c chopper~.c clean_selector~.c click2bang~.c click2float~.c clickhold~.c distortion~.c dmach~.c expflam~.c flanjah~.c function~.c granola~.c granulesf~.c granule~.c impulse~.c kbuffer~.c killdc~.c magfreq_analysis~.c markov~.c mask~.c oscil~.c phasemod~.c player~.c pulser~.c rtrig~.c samm~.c sigseq~.c vdb~.c vdp~.c waveshape~.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = smap.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = BD0010.aif BT0AADA.aiff CP.aif KR55SNAR.aiff hi_c_12b.aiff hi_o_06e.aiff hi_o_15g.aiff kick_11d.aiff mar2.aif prettypad.aif soda-bd.aif trickhit.aif voice.wav

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = MSPd.h PenroseOscil.h PenroseRand.h bashfest.h fftease.h ugens.h

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 


SHARED_SOURCE = bashfest_dsp.c bashfest_helper.c ellipse.c PenroseOscil.c PenroseRand.c bloscbank.c convert.c fft.c fft4.c fftease_setup.c fold.c leanconvert.c leanunconvert.c makewindows.c overlapadd.c power_of_two.c qsortE.c unconvert.c
SHARED_LIB = lib$(LIBRARY_NAME).$(SHARED_EXTENSION)

#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      SOURCES += $(SOURCES_iphoneos)
# Starting with Xcode 4.0, the PowerPC compiler is not installed by default
      ifeq ($(wildcard /usr/llvm-gcc-4.2/libexec/gcc/powerpc*), )
        FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.5
      else
        FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      endif
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \

=== debian/control ===
Source: pd-lyonpotpourri
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 7.0.50~),
               puredata-dev | puredata (<< 0.43)
Standards-Version: 3.9.4
Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/Pd/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-lyonpotpourri.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-lyonpotpourri.git

Package: pd-lyonpotpourri
Architecture: any
Depends: ${shlibs:Depends},
         puredata-core | pd,
         pd-libdir,
         ${misc:Depends}
Recommends: pd-import
Description: potpourri of Pd objects for synthesizing with audio
 This Pd library is a potpourri of objects for working with audio created by
 Eric Lyon.  Here is a listing of all the included objects:
 .
  * adsr~ a simple ADSR envelope that can be click triggered
  * bashfest~ a click driven buffer player with randomized DSP
  * buffet~ provides operations on a stored buffer
  * bvplay~ selective playback from a stored buffer with enveloping and
    increment control
  * channel~ access to a precise address in the signal vector
  * chopper~ munging loop playback from a buffer
  * clean_selector~ like selector~ but crossfades when switching channels
  * click2float~ translates a signal click to a float message
  * clickhold~ sample and hold a click
  * distortion~ lookup function distortion
  * dmach~ pattern based sample accurate drum machine prototype
  * expflam~ converts a click to an exponential flam click pattern
  * flanjah~ simple flanger
  * granola~ granular pitch scaling
  * granulesf~ granular synthesis module reading from a soundfile in a buffer
  * granule~ granular synthesis module reading from a stored waveform in a
    buffer
  * impulse~ converts a bang to a click
  * kbuffer~ low sampling rate buffer to capture gestures
  * killdc~ DC block filter
  * magfreq_analysis~ transforms a time domain signal to a magnitude/frequency
    spectrum
  * markov~ implements a first order Markov chain
  * mask~ a click driven pattern sequencer
  * oscil~ oscillator with flexible waveform specification
  * player~ click driven buffer player that can sustain multiple iterations
  * phasemod~ phase modulated waveform
  * pulser~ pulse wave generated by additive synthesis
  * rtrig~ generates random click triggers
  * samm~ sample accurate multiple metronomes, with click signal articulation
  * sigseq~ signal level numerical sequencer
  * stutter~ a basic buffer stuttering player
  * vdb~ a delay line using an MSP buffer for storage (no vector limit on
    feedback delaytime)
  * vdel~ a delay line with built in feedback and oscillator
  * vdp~ a more efficient pointer version of vd~
  * vd~ a simple, self -contained delay unit
  * waveshape~ a Chebychev function lookup waveshaper

=== debian/rules ===
#!/usr/bin/make -f

LIBRARY_NAME = lyonpotpourri
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)

override_dh_shlibdeps:
	dpkg-shlibdeps $(CURDIR)/debian/$(PACKAGE)$(pkglibdir)/$(LIBRARY_NAME)/*.pd_linux \
		-T$(CURDIR)/debian/$(PACKAGE).substvars

=== debian/watch ===
version=3
http://sf.net/pure-data/lyonpotpourri-(.*)\.tar\.gz

## pd-lyonpotpourri 3.0.0

=== Makefile ===
# Makefile to build the 'lyonpotpourri' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = lyonpotpourri

# sources for the objectclasses
class.sources = \
	adsr~.c \
	buffet~.c \
	bvplay~.c \
	chameleon~.c \
	channel~.c \
	chopper~.c \
	clean_selector~.c \
	click~.c \
	click2bang~.c \
	click2float~.c \
	clickhold~.c \
	distortion~.c \
	dmach~.c \
	expflam~.c \
	flanjah~.c \
	function~.c \
	granola~.c \
	granulesf~.c \
	granule~.c \
	kbuffer~.c \
	killdc~.c \
	magfreq_analysis~.c \
	markov~.c \
	mask~.c \
	oscil~.c \
	phasemod~.c \
	player~.c \
	pulser~.c \
	rtrig~.c \
	samm~.c \
	sigseq~.c \
	vdb~.c \
	vdp~.c \
	waveshape~.c \
	epluribus~.c \
	dynss~.c \
	counter~.c \
	latch~.c \
	sarec~.c \
	convolver~.c \
	npan~.c \
	shoehorn~.c \
	rotapan~.c \
	sel~.c \
	squash~.c \
	windowvec~.c \
	cartopol~.c \
	poltocar~.c \
	arrayfilt~.c \
	splitspec~.c \
	stutter~.c \
	vecdex~.c \
	quadpan~.c \
	splitbank~.c \
	$(empty)

bashfest~.class.sources = \
	bashfest~.c \
	bashfest_dsp.c \
	bashfest_helper.c \
	ellipse.c \
	$(empty)

## sources for the shared library
# fft.c       :?: convert.c convolver~.c leanunconvert.c     splitbank~.c
# fft4.c      :?: buffet~.c convolver~.c magfreq_analysis~.c splitbank~.c
# fold.c        : buffet~.c              magfreq_analysis~.c splitbank~.c !squash~.c
# convert.c     : buffet~.c              magfreq_analysis~.c !splitbank~.c
# makewindows.c : buffet~.c magfreq_analysis~.c splitbank~.c !squash~.c
# power_of_two.c:           magfreq_analysis~.c
# from_msp.c: adsr~.c bashfest~.c buffet~.c counter~.c stutter~.c vdp~.c

shared.sources = \
	convert.c \
	fft.c \
	fft4.c \
	fold.c \
	makewindows.c \
	power_of_two.c \
	from_msp.c \
	$(empty)

unused_shared_sources = \
	PenroseRand.c \
	PenroseOscil.c \
	bloscbank.c \
	overlapadd.c \
	leanconvert.c \
	leanunconvert.c \
	unconvert.c \
	$(empty)

# extra files
datafiles = \
	$(wildcard *.pd) \
	CHANGELOG.txt \
	LICENSE.txt \
	README.txt \
	sfplay~.pd \
	lyonpotpourri-meta.pd \
	$(empty)
# extra dirs
datadirs = sound \
	$(empty)

##############################################################################################
# include the actual build-system
PDLIBBUILDER_DIR=pd-lib-builder
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== debian/changelog ===
pd-lyonpotpourri (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0 (Closes: #792722)
    * Drop patches applied upstream

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fix upstream metadata
  * Use system-provided pd-lib-builder buildsystem
  * Update d/watch to new upstream repository
  * Add salsa-ci configuration
  * Add lintian-overrides for false-positives about underlinking
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Aug 2021 17:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: pd-lyonpotpourri
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               puredata-dev | puredata (<< 0.43)
-Standards-Version: 3.9.4
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ puredata-dev | puredata (<< 0.43),
+ pd-lib-builder,
+Standards-Version: 4.5.1
 Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/Pd/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-lyonpotpourri.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-lyonpotpourri.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri
+Rules-Requires-Root: no
 
 Package: pd-lyonpotpourri
 Architecture: any
-Depends: ${shlibs:Depends},
-         puredata-core | pd,
-         pd-libdir,
-         ${misc:Depends}
-Recommends: pd-import
+Depends:
+ ${shlibs:Depends},
+ puredata-core | pd,
+ pd-libdir,
+ ${misc:Depends},
+Recommends:
+ pd-import,
 Description: potpourri of Pd objects for synthesizing with audio
  This Pd library is a potpourri of objects for working with audio created by
  Eric Lyon.  Here is a listing of all the included objects:

## pd-lyonpotpourri 3.0.1

=== debian/changelog ===
pd-lyonpotpourri (3.0.1-4build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:01:48 +0200

pd-lyonpotpourri (3.0.1-4) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Add lintian-overrides for false positives about underlinking
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:06:01 +0200

pd-lyonpotpourri (3.0.1-3) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:47:25 +0100

pd-lyonpotpourri (3.0.1-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Modernize 'licensecheck' target

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 13:57:55 +0100

pd-lyonpotpourri (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1
  * Update lintian-overrides
  * Update copyright information
    + Bump dates in d/copyright
    + Update 'licensecheck' target
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Sep 2022 16:21:38 +0200

pd-lyonpotpourri (3.0.0-3) unstable; urgency=medium

  * B-D on pkg-config
  * Use "execute_after_dh_*" instead of "override_dh_*"
  * Drop defaults from d/gbp.conf
  * Modernize lintian-overrides syntax
  * Update dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Sep 2022 10:07:40 +0200

pd-lyonpotpourri (3.0.0-2) unstable; urgency=medium

  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pd-lyonpotpourri
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- puredata-dev | puredata (<< 0.43),
- pd-lib-builder,
-Standards-Version: 4.5.1
+ dh-sequence-pd-lib-builder,
+ pkg-config,
+Standards-Version: 4.6.2
 Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/Pd/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri
@@ -17,12 +18,13 @@
 Package: pd-lyonpotpourri
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- puredata-core | pd,
- pd-libdir,
- ${misc:Depends},
 Recommends:
- pd-import,
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: potpourri of Pd objects for synthesizing with audio
  This Pd library is a potpourri of objects for working with audio created by
  Eric Lyon.  Here is a listing of all the included objects:

## pd-lyonpotpourri 3.0.2

=== debian/changelog ===
pd-lyonpotpourri (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2
    + Drop patches applied upstream
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Oct 2024 15:30:35 +0100

pd-lyonpotpourri (3.0.1-5) unstable; urgency=medium

  * Add patch to build against Pd64 (Closes: #1073317)
    + Replace all 'float' occurences with 't_float'
  * Add patch to fix some more compiler warnings
  * B-D on pkgconf rather than pkg-config
  * Switch to dh-sequence-puredata
  * Add Provides-stanza
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 11:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pd-lyonpotpourri
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
- pkg-config,
-Standards-Version: 4.6.2
+ dh-sequence-puredata,
+ pkgconf | pkg-config,
+Standards-Version: 4.7.0
 Homepage: http://www.somasa.qub.ac.uk/~elyon/LyonSoftware/Pd/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-lyonpotpourri
@@ -25,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: potpourri of Pd objects for synthesizing with audio
  This Pd library is a potpourri of objects for working with audio created by
  Eric Lyon.  Here is a listing of all the included objects:

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018-2022 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|sound/.*\.aiff?|sound/.*\.wav
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=s/@DEB_EXT@//,uversionmangle=s/-(alpha|beta)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-lyonpotpourri-$1\.tar\.gz/ \
  https://github.com/ericlyon/pd-lyonpotpourri/tags .*/v?(\d\S*)\.tar\.gz
